CMSimple_XH 1.6.7

A place for general not CMSimple related discussions
cmb
Posts: 11421
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

CMSimple_XH 1.6.7

Postby cmb » Tue Jun 30, 2015 7:50 pm

Hello Community,

we have just released CMSimple_XH 1.6.7. This release fixes a few bugs, and updates to the latest jQuery4CMSimple.

Changelog:
  • fixed bug, where plugin calls may not have been parsed correctly. As of this version arbitrary comments at the beginning of plugin calls are disallowed. Use PLUGIN: or no prefix at all.
  • fixed bug, where configuration could not be saved on some new browsers (e.g. FF 38), when autocompletion is enabled
  • fixed bug, where checking the access protection of certain files failed when site was requested with index.php
  • fixed bugs wrt. search highlighting
  • improved domain check of mailform
  • added system check for the availability of function fsockopen()
  • revised default content.htm
  • updated to jQuery4CMSimple 1.6.1
For further details see the archived roadmap.

As usual you have the following options:
  • For new installations use the full installation package.
  • For updating from CMSimple_XH 1.6.6 use the update package and follow the generic update instructions Additionally, heed the following specific update notes:
    • Switch to the latest jQuery and jQueryUI in the configuration of the jQuery4CMSimple plugin
  • For updating from CMSimple_XH 1.6 use the update package and follow the generic update instructions. Addtionally, heed the following specific update notes:
    • With CMSimple_XH 1.6.1 we have moved the folders css/ and javascript/ to core/css/ resp. core/js, so you may have to delete the old folders manually after the update.
    • In some cases spaces in the URL will be encoded differently (- instead of _). If you don't like that, change the config option Uri -> Word separator.
    • If you are using meta_tags title, you have to review the titles of the respective pages. The new behavior is likely to be what you want, but check it anyway.
    • Due to the changed heading level of the submenu, you might have to adapt your template's stylesheet.css if you have menu_levels not equal to 3.
    • If you want to use userprelude.php you have to replace the index.php files of existing copies of 2lang with 2lang/index.php.
    • Also heed the update notes for 1.6.6 to 1.6.7 above.

Enjoy!
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Return to “General Discussions & Announcements”

Who is online

Users browsing this forum: No registered users and 2 guests